;;; +elisp.el -*- lexical-binding: t; -*-

;;; Code:

(defun +elisp-eval-region-or-buffer ()
  (interactive)
  (if (region-active-p)
      (eval-region (region-beginning) (region-end))
    (+eval-region@pulse (lambda (_ _) (eval-buffer)) (point-min) (point-max))))

;; Should I move this to `+pulse' ?
(defun +eval-region@pulse (advised beg end &rest args)
  "ADVICE to pulse an eval'd region."
  (apply advised beg end args)
  (pulse-momentary-highlight-region beg end))

(provide '+elisp)
;;; +elisp.el ends here
