;;; +embark.el -*- lexical-binding: t; -*-

;;; Commentary:

;; https://github.com/oantolin/embark/wiki/Additional-Actions

;;; Code:

(require 'embark)

(embark-define-keymap embark-straight-map
  ("u" straight-visit-package-website)
  ("r" straight-get-recipe)
  ("i" straight-use-package)
  ("c" straight-check-package)
  ("F" straight-pull-package)
  ("f" straight-fetch-package)
  ("p" straight-push-package)
  ("n" straight-normalize-package)
  ("m" straight-merge-package))

(add-to-list 'embark-keymap-alist '(straight . embark-straight-map))

(with-eval-after-load 'marginalia
 (add-to-list 'marginalia-prompt-categories '("recipe\\|package" . straight)))

(provide '+embark)
;;; +embark.el ends here
