;;; +Info.el                                         -*- lexical-binding: t; -*-

;;Copyright (C) 2022 Case Duckworth

;;; Code:

(require 'info)

(defun +Info-copy-current-node-name (&optional arg)
  "Put the name of the current Info invocation intothe kill ring.
This is the same as `Info-copy-current-node-name', but with the
arg reversed."
  (interactive "P" Info-mode)
  (Info-copy-current-node-name (unless arg 0)))

(provide '+Info)
;;; +Info.el ends here
