;;; +ytdious.el --- Ytdious customizations -*- lexical-binding: t; -*-

;;; Commentary:

;; https://github.com/spiderbit/ytdious

;;; Code:

(defun +ytdious-watch ()
  "Stream video at point in mpv."
  (interactive)
  (let* ((video (ytdious-get-current-video))
         (id    (ytdious-video-id-fun video)))
    (start-process "ytdious mpv" nil
                   "mpv"
                   (concat "https://www.youtube.com/watch?v=" id))
    "--ytdl-format=bestvideo[height<=?720]+bestaudio/best")
  (message "Starting streaming..."))

(provide '+ytdious)
;;; +ytdious.el ends here
